View Issue Details

IDProjectCategoryView StatusLast Update
0002434Minis-Jeux[All Projects] Bugpublic2018-07-03 10:43
ReporterXenosAssigned ToXenos 
PrioritynormalSeverityminorReproducibilityhave not tried
Status CloseResolutionsuspended 
Summary0002434: window.requestAnimationFrame pour tous les jeux
DescriptionQuand j'aurai réglé le soucis de lag sur tous les jeux, il faudra que je passe les "setTimeout" en "window.requestAnimationFrame" car ce dernier me semble un poil plus fluide, et est de toute façon clairement plus adapté qu'un timeout.

Pour tous les jeux, il faut donc détacher proprement le tick du jeu (la position des personnages, en setTimeout) et le tick d'affichage (qui sera alors passé en window.requestAnimationFrame)
TagsNo tags attached.
Attach Tags

Activities

Xenostom

Xenostom

2018-07-03 10:43

developer   ~0003812

A faire au fur et à mesure des projets (lors des passages en ES6)

Issue History

Date Modified Username Field Change
2018-04-06 20:03 Xenos New Issue
2018-04-06 20:45 Xenos Assigned To => Xenos
2018-04-06 20:45 Xenos Status New => Accepted
2018-07-02 16:27 Xenostom Status Accepted => In progress
2018-07-03 10:43 Xenostom Status In progress => Close
2018-07-03 10:43 Xenostom Resolution open => suspended
2018-07-03 10:43 Xenostom Note Added: 0003812